com.jscape.inet.mft.management.common

## Class ManagerConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.common.ManagerConfiguration

- All Implemented Interfaces:
    java.io.Serializable

      public class ManagerConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  Manager configuration.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagerConfiguration()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `ManagerConfiguration(ManagerConfiguration that)`
    `ManagerConfiguration(java.lang.String host, int port, long connectionTimeout, java.lang.String authenticationToken)` Creates a new configuration instance.
    `ManagerConfiguration(java.lang.String host, int port, long connectionTimeout, java.lang.String username, java.lang.String password)` Creates a new configuration instance.
    `ManagerConfiguration(java.lang.String host, int port, long connectionTimeout, java.lang.String username, java.lang.String password, java.lang.String authenticationToken)` Creates a new configuration instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthenticationToken()`
    `long` | `getConnectionTimeout()` Returns connection timeout.
    `java.lang.String` | `getHost()` Returns management server host.
    `java.lang.String` | `getPassword()` Returns management server access password.
    `int` | `getPort()` Returns management server port.
    `java.lang.String` | `getUsername()` Returns management server access username.
    `void` | `setAuthenticationToken(java.lang.String value)`
    `void` | `setConnectionTimeout(long value)` Sets connection timeout.
    `void` | `setHost(java.lang.String value)` Sets management server.
    `void` | `setPassword(java.lang.String value)` Sets management server password.
    `void` | `setPort(int value)` Sets management server port.
    `void` | `setUsername(java.lang.String value)` Sets management server access username.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagerConfiguration

          public ManagerConfiguration(java.lang.String host,
                                      int port,
                                      long connectionTimeout,
                                      java.lang.String username,
                                      java.lang.String password,
                                      java.lang.String authenticationToken)

      Creates a new configuration instance.
      Parameters:
        `host` - a server host
        `port` - a server port
        `connectionTimeout` - a connection timeout in millis
        `username` - an authentication username
        `password` - an authentication password
        `authenticationToken` - an authentication token

    - #### ManagerConfiguration

          public ManagerConfiguration(ManagerConfiguration that)

    - #### ManagerConfiguration

          public ManagerConfiguration(java.lang.String host,
                                      int port,
                                      long connectionTimeout,
                                      java.lang.String username,
                                      java.lang.String password)

      Creates a new configuration instance.
      Parameters:
        `host` - a server host
        `port` - a server port
        `connectionTimeout` - a connection timeout in millis
        `username` - an authentication username
        `password` - an authentication password

    - #### ManagerConfiguration

          public ManagerConfiguration(java.lang.String host,
                                      int port,
                                      long connectionTimeout,
                                      java.lang.String authenticationToken)

      Creates a new configuration instance.
      Parameters:
        `host` - a server host
        `port` - a server port
        `connectionTimeout` - a connection timeout in millis
        `authenticationToken` - an authentication token

    - #### ManagerConfiguration

          public ManagerConfiguration()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns management server host.
      Returns:
        management server

    - #### setHost

          public void setHost(java.lang.String value)

      Sets management server.
      Parameters:
        `value` - management server host

    - #### getPort

          public int getPort()

      Returns management server port.
      Returns:
        management server port

    - #### setPort

          public void setPort(int value)

      Sets management server port.
      Parameters:
        `value` - management server port value

    - #### getConnectionTimeout

          public long getConnectionTimeout()

      Returns connection timeout.
      Returns:
        connection timeout in milliseconds

    - #### setConnectionTimeout

          public void setConnectionTimeout(long value)

      Sets connection timeout.
      Parameters:
        `value` - connection timeout in milliseconds

    - #### getUsername

          public java.lang.String getUsername()

      Returns management server access username.
      Returns:
        management server access username

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets management server access username.
      Parameters:
        `value` - management server access username

    - #### getPassword

          public java.lang.String getPassword()

      Returns management server access password.
      Returns:
        management server access password string

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets management server password.
      Parameters:
        `value` - management server password value

    - #### getAuthenticationToken

          public java.lang.String getAuthenticationToken()

    - #### setAuthenticationToken

          public void setAuthenticationToken(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved